Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: pixbuf error is back during latest update. Don't reboot without fixing it first.

  1. #1
    Join Date
    Jul 2007
    Location
    UK
    Beans
    17,040
    Distro
    Ubuntu Development Release

    pixbuf error is back during latest update. Don't reboot without fixing it first.

    The error says to run this :-

    Code:
    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    You need sudo -i first. It should tell you you need a pixbuf dev package installing. Do that then run the above code. All good to reboot.
    Last edited by philinux; April 3rd, 2014 at 07:37 PM. Reason: e typo at end

  2. #2
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    1,924
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    Shouldn't it be:

    Code:
    gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    you seem to be missing an "e" at the end.
    Catalan Team: Tingueu presents les normes d'or dels fòrums d'Ubuntu: poseu un títol entenedor i apropiat als vostres fils; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut.

  3. #3
    Join Date
    Dec 2006
    Beans
    Hidden!

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    I have seen that error before but never did anything with it. Reboots ok.
    Why the mention about running that command before rebooting?

  4. #4
    Join Date
    Sep 2011
    Beans
    52
    Distro
    Ubuntu Development Release

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.


  5. #5
    Join Date
    Jul 2007
    Location
    UK
    Beans
    17,040
    Distro
    Ubuntu Development Release

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    Quote Originally Posted by sdowney717 View Post
    I have seen that error before but never did anything with it. Reboots ok.
    Why the mention about running that command before rebooting?
    Because you end up with total system failure just after login.

    Fixable from tty of course.
    Last edited by philinux; April 3rd, 2014 at 07:29 PM.

  6. #6
    Join Date
    Jun 2010
    Location
    London, England
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    Because you end up with total system failure just after login.
    Not on my machine. Earlier today I updated. Which brought in the pixbuf update and required a reboot = no problems. Then after a couple of hours I shut down to rest my eyes and I have since rebooted without any problems. I decided to run that command anyway. I got this.

    The program 'gdk-pixbuf-query-loaders' is currently not installed. You can install it by typing: apt-get install libgdk-pixbuf2.0-dev
    Which I did and then I ran the command. Well, in for a penny. In for a pound. Thanks anyway for the heads up. I guess the fact that some of us get these bugs and others do not is down to Phased Updates.

    Regards.
    Last edited by grahammechanical; April 3rd, 2014 at 07:44 PM.
    It is a machine. It is more stupid than we are. It will not stop us from doing stupid things.
    Ubuntu user #33,200. Linux user #530,530


  7. #7
    Join Date
    Jul 2007
    Location
    UK
    Beans
    17,040
    Distro
    Ubuntu Development Release

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    +1 Graham.

    I've only seen this before on my desktop. Laptop got hit today after an update and dist-upgrade. Nothing to remove etc. But on rebooting. Nada.

  8. #8
    Join Date
    Dec 2006
    Beans
    Hidden!

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    scott@scott-P5QC:~$ sudo gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
    scott@scott-P5QC:~$

    wont run with sudo?

    Code:
    scott@scott-P5QC:~$ sudo apt-get install libgdk-pixbuf2.0-dev
    [sudo] password for scott: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      libglib2.0-dev libpcre3-dev libpng12-dev libpthread-stubs0-dev libx11-dev
      libx11-doc libxau-dev libxcb1-dev libxdmcp-dev x11proto-core-dev
      x11proto-input-dev x11proto-kb-dev xorg-sgml-doctools xtrans-dev zlib1g-dev
    Suggested packages:
      libglib2.0-doc libxcb-doc
    The following NEW packages will be installed:
      libgdk-pixbuf2.0-dev libglib2.0-dev libpcre3-dev libpng12-dev
      libpthread-stubs0-dev libx11-dev libx11-doc libxau-dev libxcb1-dev
      libxdmcp-dev x11proto-core-dev x11proto-input-dev x11proto-kb-dev
      xorg-sgml-doctools xtrans-dev zlib1g-dev
    0 upgraded, 16 newly installed, 0 to remove and 6 not upgraded.
    Need to get 5,422 kB of archives.
    After this operation, 28.9 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/main libpcre3-dev amd64 1:8.31-2ubuntu2 [237 kB]
    Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty/main zlib1g-dev amd64 1:1.2.8.dfsg-1ubuntu1 [183 kB]
    Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty/main libglib2.0-dev amd64 2.40.0-1ubuntu1 [1,319 kB]
    Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty/main xorg-sgml-doctools all 1:1.11-1 [12.9 kB]
    Get:5 http://us.archive.ubuntu.com/ubuntu/ trusty/main x11proto-core-dev all 7.0.24-1 [748 kB]
    Get:6 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxau-dev amd64 1:1.0.8-1 [11.1 kB]
    Get:7 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxdmcp-dev amd64 1:1.1.1-1 [26.9 kB]
    Get:8 http://us.archive.ubuntu.com/ubuntu/ trusty/main x11proto-input-dev all 2.3-1 [139 kB]
    Get:9 http://us.archive.ubuntu.com/ubuntu/ trusty/main x11proto-kb-dev all 1.0.6-2 [269 kB]
    Get:10 http://us.archive.ubuntu.com/ubuntu/ trusty/main xtrans-dev all 1.3.2-1 [69.9 kB]
    Get:11 http://us.archive.ubuntu.com/ubuntu/ trusty/main libpthread-stubs0-dev amd64 0.3-4 [4,068 B]
    Get:12 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxcb1-dev amd64 1.10-2ubuntu1 [76.6 kB]
    Get:13 http://us.archive.ubuntu.com/ubuntu/ trusty/main libx11-dev amd64 2:1.6.2-1ubuntu2 [629 kB]
    Get:14 http://us.archive.ubuntu.com/ubuntu/ trusty/main libpng12-dev amd64 1.2.50-1ubuntu2 [206 kB]
    Get:15 http://us.archive.ubuntu.com/ubuntu/ trusty/main libgdk-pixbuf2.0-dev amd64 2.30.7-0ubuntu1 [42.9 kB]
    Get:16 http://us.archive.ubuntu.com/ubuntu/ trusty/main libx11-doc all 2:1.6.2-1ubuntu2 [1,448 kB]
    Fetched 5,422 kB in 7s (773 kB/s)                                              
    Selecting previously unselected package libpcre3-dev:amd64.
    (Reading database ... 387632 files and directories currently installed.)
    Preparing to unpack .../libpcre3-dev_1%3a8.31-2ubuntu2_amd64.deb ...
    Unpacking libpcre3-dev:amd64 (1:8.31-2ubuntu2) ...
    Selecting previously unselected package zlib1g-dev:amd64.
    Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-1ubuntu1_amd64.deb ...
    Unpacking zlib1g-dev:amd64 (1:1.2.8.dfsg-1ubuntu1) ...
    Selecting previously unselected package libglib2.0-dev.
    Preparing to unpack .../libglib2.0-dev_2.40.0-1ubuntu1_amd64.deb ...
    Unpacking libglib2.0-dev (2.40.0-1ubuntu1) ...
    Selecting previously unselected package xorg-sgml-doctools.
    Preparing to unpack .../xorg-sgml-doctools_1%3a1.11-1_all.deb ...
    Unpacking xorg-sgml-doctools (1:1.11-1) ...
    Selecting previously unselected package x11proto-core-dev.
    Preparing to unpack .../x11proto-core-dev_7.0.24-1_all.deb ...
    Unpacking x11proto-core-dev (7.0.24-1) ...
    Selecting previously unselected package libxau-dev:amd64.
    Preparing to unpack .../libxau-dev_1%3a1.0.8-1_amd64.deb ...
    Unpacking libxau-dev:amd64 (1:1.0.8-1) ...
    Selecting previously unselected package libxdmcp-dev:amd64.
    Preparing to unpack .../libxdmcp-dev_1%3a1.1.1-1_amd64.deb ...
    Unpacking libxdmcp-dev:amd64 (1:1.1.1-1) ...
    Selecting previously unselected package x11proto-input-dev.
    Preparing to unpack .../x11proto-input-dev_2.3-1_all.deb ...
    Unpacking x11proto-input-dev (2.3-1) ...
    Selecting previously unselected package x11proto-kb-dev.
    Preparing to unpack .../x11proto-kb-dev_1.0.6-2_all.deb ...
    Unpacking x11proto-kb-dev (1.0.6-2) ...
    Selecting previously unselected package xtrans-dev.
    Preparing to unpack .../xtrans-dev_1.3.2-1_all.deb ...
    Unpacking xtrans-dev (1.3.2-1) ...
    Selecting previously unselected package libpthread-stubs0-dev:amd64.
    Preparing to unpack .../libpthread-stubs0-dev_0.3-4_amd64.deb ...
    Unpacking libpthread-stubs0-dev:amd64 (0.3-4) ...
    Selecting previously unselected package libxcb1-dev:amd64.
    Preparing to unpack .../libxcb1-dev_1.10-2ubuntu1_amd64.deb ...
    Unpacking libxcb1-dev:amd64 (1.10-2ubuntu1) ...
    Selecting previously unselected package libx11-dev:amd64.
    Preparing to unpack .../libx11-dev_2%3a1.6.2-1ubuntu2_amd64.deb ...
    Unpacking libx11-dev:amd64 (2:1.6.2-1ubuntu2) ...
    Selecting previously unselected package libpng12-dev.
    Preparing to unpack .../libpng12-dev_1.2.50-1ubuntu2_amd64.deb ...
    Unpacking libpng12-dev (1.2.50-1ubuntu2) ...
    Selecting previously unselected package libgdk-pixbuf2.0-dev.
    Preparing to unpack .../libgdk-pixbuf2.0-dev_2.30.7-0ubuntu1_amd64.deb ...
    Unpacking libgdk-pixbuf2.0-dev (2.30.7-0ubuntu1) ...
    Selecting previously unselected package libx11-doc.
    Preparing to unpack .../libx11-doc_2%3a1.6.2-1ubuntu2_all.deb ...
    Unpacking libx11-doc (2:1.6.2-1ubuntu2) ...
    Processing triggers for man-db (2.6.6-1) ...
    Processing triggers for libglib2.0-0:i386 (2.40.0-1ubuntu1) ...
    Processing triggers for libglib2.0-0:amd64 (2.40.0-1ubuntu1) ...
    Setting up libpcre3-dev:amd64 (1:8.31-2ubuntu2) ...
    Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-1ubuntu1) ...
    Setting up libglib2.0-dev (2.40.0-1ubuntu1) ...
    Setting up xorg-sgml-doctools (1:1.11-1) ...
    Setting up x11proto-core-dev (7.0.24-1) ...
    Setting up libxau-dev:amd64 (1:1.0.8-1) ...
    Setting up libxdmcp-dev:amd64 (1:1.1.1-1) ...
    Setting up x11proto-input-dev (2.3-1) ...
    Setting up x11proto-kb-dev (1.0.6-2) ...
    Setting up xtrans-dev (1.3.2-1) ...
    Setting up libpthread-stubs0-dev:amd64 (0.3-4) ...
    Setting up libxcb1-dev:amd64 (1.10-2ubuntu1) ...
    Setting up libx11-dev:amd64 (2:1.6.2-1ubuntu2) ...
    Setting up libpng12-dev (1.2.50-1ubuntu2) ...
    Setting up libgdk-pixbuf2.0-dev (2.30.7-0ubuntu1) ...
    Setting up libx11-doc (2:1.6.2-1ubuntu2) ...
    scott@scott-P5QC:~$ gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
    scott@scott-P5QC:~$ sudo gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
    scott@scott-P5QC:~$ sudo gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
    scott@scott-P5QC:~$ sudo gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
    scott@scott-P5QC:~$

  9. #9
    Join Date
    Dec 2006
    Beans
    Hidden!

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    ok, got it to run, first had to sudo -s

    Code:
    scott@scott-P5QC:~$ sudo -s
    root@scott-P5QC:~#  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    root@scott-P5QC:~#

  10. #10
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,443
    Distro
    Ubuntu Development Release

    Re: pixbuf error is back during latest update. Don't reboot without fixing it first.

    All that can be done in one line with tee...
    Not tea but tee... Tea could be useful also as stimulus...
    Do not we have every U+1 round couple of these situations?

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •